/* Tabela NOTAFISCAL: Cadastro de Nota Fiscal */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela NOTAFISCAL */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Nota Fiscal,
             utilizando a tabela Geral de Logs de Operaes */

IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'LOG_FIS_NOTAFISCAL' AND
                TYPE   = 'TR'              AND
                U.UID  = O.UID             AND
                U.NAME = USER)

DROP TRIGGER LOG_FIS_NOTAFISCAL
GO
CREATE TRIGGER LOG_FIS_NOTAFISCAL
ON NOTAFISCAL
FOR UPDATE,INSERT, DELETE
AS
BEGIN
  DECLARE @V_USUARIO             VARCHAR(40);
  DECLARE @V_TIPO                VARCHAR(1);
  DECLARE @V_TPMOVI              VARCHAR(1);
  DECLARE @V_ITPESQ              VARCHAR(40);
  DECLARE @V_DESC                VARCHAR(500);
  DECLARE @V_CDFILLOGOPER        VARCHAR(4);
  DECLARE @V_DSREMOTEADDR        VARCHAR(15);
  DECLARE @V_DSREMOTEHOST        VARCHAR(15);
  DECLARE @V_DSSERVERRDM         VARCHAR(20);
  DECLARE @V_DSSERVMETHOD        VARCHAR(30);
  DECLARE @V_DSREMOTEOPER        VARCHAR(12);
  DECLARE @V_DTOPER              DATETIME;

  DECLARE @V_NRINSJURNF_NEW      VARCHAR(20);
  DECLARE @V_IDERROS_NEW         VARCHAR(30);
  DECLARE @V_IDAVISOS_NEW        VARCHAR(30);
  DECLARE @V_IDBLOQUEADO_NEW     VARCHAR(1);
  DECLARE @V_NRNOTAFISC_NEW      VARCHAR(20);
  DECLARE @V_DTEMISSAO_NEW       DATETIME;
  DECLARE @V_DTENTRSAID_NEW      DATETIME;
  DECLARE @V_VRPRODUTOS_NEW      NUMERIC(15,5);
  DECLARE @V_VRNOTAFISC_NEW      NUMERIC(15,5);
  DECLARE @V_IDENTRSAIDOP_NEW    VARCHAR(1);
  DECLARE @V_CDTIPOOPER_NEW      VARCHAR(2);
  DECLARE @V_CDSERIE_NEW         VARCHAR(5);
  DECLARE @V_CDFISOPENTF_NEW     VARCHAR(11);
  DECLARE @V_IDSTATUS_NEW        VARCHAR(1);
  DECLARE @V_NRLANCTBDOC_NEW     VARCHAR(12);
  DECLARE @V_IDSISTEMA_NEW       VARCHAR(05);
  DECLARE @V_CDMODDOCFISC_NEW    VARCHAR(2);
  DECLARE @V_CDSERIEENTR_NEW     VARCHAR(5);
  DECLARE @V_CDINTEGRACAO_NEW    VARCHAR(16);
  DECLARE @V_IDORIGDESTNF_NEW    VARCHAR(02);
  DECLARE @V_IDDOCREPLIC_NEW     VARCHAR(14);
  DECLARE @V_CDFILIEMIT_NEW      VARCHAR(4);
  DECLARE @V_CDFILIRECE_NEW      VARCHAR(4);
  DECLARE @V_CDALMOXARIFE_NEW    VARCHAR(6);
  DECLARE @V_CDLOCALESTOQ_NEW    VARCHAR(6);
  DECLARE @V_CDVENDEDOR_NEW      VARCHAR(4);
  DECLARE @V_NREXPEDICAO_NEW     VARCHAR(10);
  DECLARE @V_NRLOTENFE_NEW       VARCHAR(15);
  DECLARE @V_IDSTATUSNFE_NEW     VARCHAR(1);
  DECLARE @V_NRACESSONFE_NEW     VARCHAR(50);
  DECLARE @V_CDEMPLOTENFE_NEW    VARCHAR(2);
  DECLARE @V_NRPROTOCOLONFE_NEW  VARCHAR(15);
  DECLARE @V_IDIMPRESSODANFE_NEW VARCHAR(1);
  DECLARE @V_IDTIPOEMISNFE_NEW   VARCHAR(1);
  DECLARE @V_IDEMAILNFE_NEW      VARCHAR(1);
  DECLARE @V_NRNOTAFISCALELE_NEW VARCHAR(9);
  DECLARE @V_IDEMAILNFETRANSP_NEW VARCHAR(1);
  DECLARE @V_IDTPAMBNFE_NEW      VARCHAR(1);
  DECLARE @V_DTHRPROTOCOLNFE_NEW DATETIME;

  DECLARE @V_NRINSJURNF_OLD      VARCHAR(20);
  DECLARE @V_IDERROS_OLD         VARCHAR(30);
  DECLARE @V_IDAVISOS_OLD        VARCHAR(30);
  DECLARE @V_IDBLOQUEADO_OLD     VARCHAR(1);
  DECLARE @V_NRNOTAFISC_OLD      VARCHAR(20);
  DECLARE @V_DTEMISSAO_OLD       DATETIME;
  DECLARE @V_DTENTRSAID_OLD      DATETIME;
  DECLARE @V_VRPRODUTOS_OLD      NUMERIC(15,5);
  DECLARE @V_VRNOTAFISC_OLD      NUMERIC(15,5);
  DECLARE @V_IDENTRSAIDOP_OLD    VARCHAR(1);
  DECLARE @V_CDTIPOOPER_OLD      VARCHAR(2);
  DECLARE @V_CDSERIE_OLD         VARCHAR(5);
  DECLARE @V_CDFISOPENTF_OLD     VARCHAR(11);
  DECLARE @V_IDSTATUS_OLD        VARCHAR(1);
  DECLARE @V_NRLANCTBDOC_OLD     VARCHAR(12);
  DECLARE @V_IDSISTEMA_OLD       VARCHAR(05);
  DECLARE @V_CDMODDOCFISC_OLD    VARCHAR(2);
  DECLARE @V_CDSERIEENTR_OLD     VARCHAR(5);
  DECLARE @V_CDINTEGRACAO_OLD    VARCHAR(16);
  DECLARE @V_IDORIGDESTNF_OLD    VARCHAR(02);
  DECLARE @V_IDDOCREPLIC_OLD     VARCHAR(14);
  DECLARE @V_CDFILIEMIT_OLD      VARCHAR(4);
  DECLARE @V_CDFILIRECE_OLD      VARCHAR(4);
  DECLARE @V_CDALMOXARIFE_OLD    VARCHAR(6);
  DECLARE @V_CDLOCALESTOQ_OLD    VARCHAR(6);
  DECLARE @V_CDVENDEDOR_OLD      VARCHAR(4);
  DECLARE @V_NREXPEDICAO_OLD     VARCHAR(10);
  DECLARE @V_NRLOTENFE_OLD       VARCHAR(15);
  DECLARE @V_IDSTATUSNFE_OLD     VARCHAR(1);
  DECLARE @V_NRACESSONFE_OLD     VARCHAR(50);
  DECLARE @V_CDEMPLOTENFE_OLD    VARCHAR(2);
  DECLARE @V_NRPROTOCOLONFE_OLD  VARCHAR(15);
  DECLARE @V_IDIMPRESSODANFE_OLD VARCHAR(1);
  DECLARE @V_IDTIPOEMISNFE_OLD   VARCHAR(1);
  DECLARE @V_IDEMAILNFE_OLD      VARCHAR(1);
  DECLARE @V_NRNOTAFISCALELE_OLD VARCHAR(9);
  DECLARE @V_IDEMAILNFETRANSP_OLD VARCHAR(1);
  DECLARE @V_IDTPAMBNFE_OLD      VARCHAR(1);
  DECLARE @V_DTHRPROTOCOLNFE_OLD DATETIME;

  DECLARE @V_CDFILIAL_OLD        VARCHAR(4);
  DECLARE @V_NRLANCTONF_OLD      VARCHAR(10);
  DECLARE @V_CDFILIAL_NEW        VARCHAR(4);
  DECLARE @V_NRLANCTONF_NEW      VARCHAR(10);
  DECLARE @V_NRSEQCAPADOC_OLD    VARCHAR(10);
  DECLARE @V_NRSEQCAPADOC_NEW    VARCHAR(10);

   SET @V_TIPO = '0';
   SET @V_DESC = '';
   SET @V_CDFILLOGOPER = '';
   SET @V_USUARIO = '-';


   DECLARE C_CURSOR_NF CURSOR FOR
      SELECT
         'D' IDCOMANDO,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         CDFILIAL,
         NRLANCTONF,
         NRINSJURNF,
         IDERROS,
         IDAVISOS,
         IDBLOQUEADO,
         NRNOTAFISC,
         DTEMISSAO,
         DTENTRSAID,
         VRPRODUTOS,
         VRNOTAFISC,
         IDENTRSAIDOP,
         CDTIPOOPER,
         CDSERIE,
         CDFISOPENTF,
         IDSTATUS,
         NRLANCTBDOC,
         IDSISTEMA,
         CDMODDOCFISC,
         CDSERIEENTR,
         CDINTEGRACAO,
         IDORIGDESTNF,
         IDDOCREPLIC,
         CDFILIEMIT,
         CDFILIRECE,
         CDALMOXARIFE,
         CDLOCALESTOQ,
         CDVENDEDOR,
         NREXPEDICAO,
         NRLOTENFE,
         IDSTATUSNFE,
         NRACESSONFE,
         CDEMPLOTENFE,
         NRPROTOCOLONFE,
         IDIMPRESSODANFE,
         IDTIPOEMISNFE,
         IDEMAILNFE,
         NRNOTAFISCALELE,
         IDEMAILNFETRANSP,
         IDTPAMBNFE,
         DTHRPROTOCOLNFE,
         NRSEQCAPADOC
      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)

      UNION ALL

      SELECT
         'U' IDCOMANDO,
         INSERTED.CDFILIAL,
         INSERTED.NRLANCTONF,
         INSERTED.NRINSJURNF,
         INSERTED.IDERROS,
         INSERTED.IDAVISOS,
         INSERTED.IDBLOQUEADO,
         INSERTED.NRNOTAFISC,
         INSERTED.DTEMISSAO,
         INSERTED.DTENTRSAID,
         INSERTED.VRPRODUTOS,
         INSERTED.VRNOTAFISC,
         INSERTED.IDENTRSAIDOP,
         INSERTED.CDTIPOOPER,
         INSERTED.CDSERIE,
         INSERTED.CDFISOPENTF,
         INSERTED.IDSTATUS,
         INSERTED.NRLANCTBDOC,
         INSERTED.IDSISTEMA,
         INSERTED.CDMODDOCFISC,
         INSERTED.CDSERIEENTR,
         INSERTED.CDINTEGRACAO,
         INSERTED.IDORIGDESTNF,
         INSERTED.IDDOCREPLIC,
         INSERTED.CDFILIEMIT,
         INSERTED.CDFILIRECE,
         INSERTED.CDALMOXARIFE,
         INSERTED.CDLOCALESTOQ,
         INSERTED.CDVENDEDOR,
         INSERTED.NREXPEDICAO,
         INSERTED.NRLOTENFE,
         INSERTED.IDSTATUSNFE,
         INSERTED.NRACESSONFE,
         INSERTED.CDEMPLOTENFE,
         INSERTED.NRPROTOCOLONFE,
         INSERTED.IDIMPRESSODANFE,
         INSERTED.IDTIPOEMISNFE,
         INSERTED.IDEMAILNFE,
         INSERTED.NRNOTAFISCALELE,
         INSERTED.IDEMAILNFETRANSP,
         INSERTED.IDTPAMBNFE,
         INSERTED.DTHRPROTOCOLNFE,
         INSERTED.NRSEQCAPADOC,
         DELETED.CDFILIAL,
         DELETED.NRLANCTONF,
         DELETED.NRINSJURNF,
         DELETED.IDERROS,
         DELETED.IDAVISOS,
         DELETED.IDBLOQUEADO,
         DELETED.NRNOTAFISC,
         DELETED.DTEMISSAO,
         DELETED.DTENTRSAID,
         DELETED.VRPRODUTOS,
         DELETED.VRNOTAFISC,
         DELETED.IDENTRSAIDOP,
         DELETED.CDTIPOOPER,
         DELETED.CDSERIE,
         DELETED.CDFISOPENTF,
         DELETED.IDSTATUS,
         DELETED.NRLANCTBDOC,
         DELETED.IDSISTEMA,
         DELETED.CDMODDOCFISC,
         DELETED.CDSERIEENTR,
         DELETED.CDINTEGRACAO,
         DELETED.IDORIGDESTNF,
         DELETED.IDDOCREPLIC,
         DELETED.CDFILIEMIT,
         DELETED.CDFILIRECE,
         DELETED.CDALMOXARIFE,
         DELETED.CDLOCALESTOQ,
         DELETED.CDVENDEDOR,
         DELETED.NREXPEDICAO,
         DELETED.NRLOTENFE,
         DELETED.IDSTATUSNFE,
         DELETED.NRACESSONFE,
         DELETED.CDEMPLOTENFE,
         DELETED.NRPROTOCOLONFE,
         DELETED.IDIMPRESSODANFE,
         DELETED.IDTIPOEMISNFE,
         DELETED.IDEMAILNFE,
         DELETED.NRNOTAFISCALELE,
         DELETED.IDEMAILNFETRANSP,
         DELETED.IDTPAMBNFE,
         DELETED.DTHRPROTOCOLNFE,
         DELETED.NRSEQCAPADOC
      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.CDFILIAL    = DELETED.CDFILIAL    AND
         INSERTED.NRLANCTONF  = DELETED.NRLANCTONF

      UNION ALL

      SELECT
         'I' IDCOMANDO,
         INSERTED.CDFILIAL,
         INSERTED.NRLANCTONF,
         INSERTED.NRINSJURNF,

         INSERTED.IDERROS,
         INSERTED.IDAVISOS,
         INSERTED.IDBLOQUEADO,
         INSERTED.NRNOTAFISC,

         INSERTED.DTEMISSAO,
         INSERTED.DTENTRSAID,
         INSERTED.VRPRODUTOS,
         INSERTED.VRNOTAFISC,

         INSERTED.IDENTRSAIDOP,
         INSERTED.CDTIPOOPER,
         INSERTED.CDSERIE,
         INSERTED.CDFISOPENTF,

         INSERTED.IDSTATUS,
         INSERTED.NRLANCTBDOC,
         INSERTED.IDSISTEMA,
         INSERTED.CDMODDOCFISC,

         INSERTED.CDSERIEENTR,
         INSERTED.CDINTEGRACAO,
         INSERTED.IDORIGDESTNF,
         INSERTED.IDDOCREPLIC,

         INSERTED.CDFILIEMIT,
         INSERTED.CDFILIRECE,
         INSERTED.CDALMOXARIFE,
         INSERTED.CDLOCALESTOQ,

         INSERTED.CDVENDEDOR,
         INSERTED.NREXPEDICAO,
         INSERTED.NRLOTENFE,
         INSERTED.IDSTATUSNFE,

         INSERTED.NRACESSONFE,
         INSERTED.CDEMPLOTENFE,
         INSERTED.NRPROTOCOLONFE,
         INSERTED.IDIMPRESSODANFE,

         INSERTED.IDTIPOEMISNFE,
         INSERTED.IDEMAILNFE,
         INSERTED.NRNOTAFISCALELE,
         INSERTED.IDEMAILNFETRANSP,

         INSERTED.IDTPAMBNFE,
         INSERTED.DTHRPROTOCOLNFE,
         INSERTED.NRSEQCAPADOC,

         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL
      FROM
         INSERTED
      WHERE
         0 = (SELECT COUNT(*) FROM DELETED)

   OPEN C_CURSOR_NF;
   FETCH NEXT FROM C_CURSOR_NF   INTO @V_TIPO, @V_CDFILIAL_NEW, @V_NRLANCTONF_NEW, @V_NRINSJURNF_NEW,
                                      @V_IDERROS_NEW, @V_IDAVISOS_NEW, @V_IDBLOQUEADO_NEW, @V_NRNOTAFISC_NEW,
                                      @V_DTEMISSAO_NEW, @V_DTENTRSAID_NEW, @V_VRPRODUTOS_NEW, @V_VRNOTAFISC_NEW,
                                      @V_IDENTRSAIDOP_NEW,@V_CDTIPOOPER_NEW, @V_CDSERIE_NEW, @V_CDFISOPENTF_NEW,
                                      @V_IDSTATUS_NEW, @V_NRLANCTBDOC_NEW, @V_IDSISTEMA_NEW, @V_CDMODDOCFISC_NEW,
                                      @V_CDSERIEENTR_NEW, @V_CDINTEGRACAO_NEW, @V_IDORIGDESTNF_NEW, @V_IDDOCREPLIC_NEW,
                                      @V_CDFILIEMIT_NEW, @V_CDFILIRECE_NEW, @V_CDALMOXARIFE_NEW, @V_CDLOCALESTOQ_NEW,
                                      @V_CDVENDEDOR_NEW, @V_NREXPEDICAO_NEW, @V_NRLOTENFE_NEW, @V_IDSTATUSNFE_NEW,
                                      @V_NRACESSONFE_NEW, @V_CDEMPLOTENFE_NEW, @V_NRPROTOCOLONFE_NEW, @V_IDIMPRESSODANFE_NEW,
                                      @V_IDTIPOEMISNFE_NEW, @V_IDEMAILNFE_NEW, @V_NRNOTAFISCALELE_NEW, @V_IDEMAILNFETRANSP_NEW,
                                      @V_IDTPAMBNFE_NEW, @V_DTHRPROTOCOLNFE_NEW, @V_NRSEQCAPADOC_NEW,
                                      @V_CDFILIAL_OLD, @V_NRLANCTONF_OLD, @V_NRINSJURNF_OLD,@V_IDERROS_OLD,@V_IDAVISOS_OLD,
                                      @V_IDBLOQUEADO_OLD, @V_NRNOTAFISC_OLD, @V_DTEMISSAO_OLD,  @V_DTENTRSAID_OLD, @V_VRPRODUTOS_OLD,
                                      @V_VRNOTAFISC_OLD, @V_IDENTRSAIDOP_OLD, @V_CDTIPOOPER_OLD, @V_CDSERIE_OLD, @V_CDFISOPENTF_OLD,
                                      @V_IDSTATUS_OLD, @V_NRLANCTBDOC_OLD, @V_IDSISTEMA_OLD, @V_CDMODDOCFISC_OLD, @V_CDSERIEENTR_OLD,
                                      @V_CDINTEGRACAO_OLD, @V_IDORIGDESTNF_OLD, @V_IDDOCREPLIC_OLD, @V_CDFILIEMIT_OLD,  @V_CDFILIRECE_OLD,
                                      @V_CDALMOXARIFE_OLD, @V_CDLOCALESTOQ_OLD, @V_CDVENDEDOR_OLD, @V_NREXPEDICAO_OLD, @V_NRLOTENFE_OLD,
                                      @V_IDSTATUSNFE_OLD, @V_NRACESSONFE_OLD, @V_CDEMPLOTENFE_OLD, @V_NRPROTOCOLONFE_OLD, @V_IDIMPRESSODANFE_OLD,
                                      @V_IDTIPOEMISNFE_OLD, @V_IDEMAILNFE_OLD, @V_NRNOTAFISCALELE_OLD, @V_IDEMAILNFETRANSP_OLD, @V_IDTPAMBNFE_OLD,
                                      @V_DTHRPROTOCOLNFE_OLD, @V_NRSEQCAPADOC_OLD;

   WHILE (@@FETCH_STATUS = 0) BEGIN

      IF @V_TIPO = 'D' BEGIN
         IF @V_NRINSJURNF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'InsJurNF=' + @V_NRINSJURNF_OLD;
         END;

         IF @V_IDERROS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Erros=' + @V_IDERROS_OLD;
         END;

         IF @V_IDAVISOS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Avisos=' + @V_IDAVISOS_OLD;
         END;

         IF @V_IDBLOQUEADO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Bloq=' + @V_IDBLOQUEADO_OLD;
         END;

         IF @V_NRNOTAFISC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' NrNF=' + @V_NRNOTAFISC_OLD;
         END;

         IF @V_DTEMISSAO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DtEmis=' + CONVERT(VARCHAR,@V_DTEMISSAO_OLD);
         END;

         IF @V_DTENTRSAID_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DtEntSai=' + CONVERT(VARCHAR,@V_DTENTRSAID_OLD);
         END;

         IF @V_VRPRODUTOS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' VrProd=' + CONVERT(VARCHAR,@V_VRPRODUTOS_OLD);
         END;

         IF @V_VRNOTAFISC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' VrNF=' + CONVERT(VARCHAR,@V_VRNOTAFISC_OLD);
         END;

         IF @V_IDENTRSAIDOP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' IdEntSai=' + @V_IDENTRSAIDOP_OLD;
         END;

         IF @V_CDTIPOOPER_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TipoOper=' + @V_CDTIPOOPER_OLD;
         END;

         IF @V_CDSERIE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SerieSai=' + @V_CDSERIE_OLD;
         END;

         IF @V_CDFISOPENTF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CFOp=' + @V_CDFISOPENTF_OLD;
         END;

         IF @V_IDSTATUS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Status=' + @V_IDSTATUS_OLD;
         END;

         IF @V_NRLANCTBDOC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' LanCTB=' + @V_NRLANCTBDOC_OLD;
         END;

         IF @V_IDSISTEMA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Sist=' + @V_IDSISTEMA_OLD;
         END;

         IF @V_CDMODDOCFISC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ModFisc=' + @V_CDMODDOCFISC_OLD;
         END;

         IF @V_CDSERIEENTR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SerieEnt=' + @V_CDSERIEENTR_OLD;
         END;

         IF @V_CDINTEGRACAO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Integr=' + @V_CDINTEGRACAO_OLD;
         END;

         IF @V_IDORIGDESTNF_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' OrigDest=' + @V_IDORIGDESTNF_OLD;
         END;

         IF @V_IDDOCREPLIC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' DocReplic=' + @V_IDDOCREPLIC_OLD;
         END;

         IF @V_CDFILIEMIT_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliEmit=' + @V_CDFILIEMIT_OLD;
         END;

         IF @V_CDFILIRECE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliRece=' + @V_CDFILIRECE_OLD;
         END;

         IF @V_CDALMOXARIFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Almox=' + @V_CDALMOXARIFE_OLD;
         END;

         IF @V_CDLOCALESTOQ_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' LcEstoq=' + @V_CDLOCALESTOQ_OLD;
         END;

         IF @V_CDVENDEDOR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Vendedor=' + @V_CDVENDEDOR_OLD;
         END;

         IF @V_NREXPEDICAO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Exped=' + @V_NREXPEDICAO_OLD;
         END;

         IF @V_NRLOTENFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'NrLote' + @V_NRLOTENFE_OLD;
         END;

         IF @V_IDSTATUSNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Status' + @V_IDSTATUSNFE_OLD;
         END;

         IF @V_NRACESSONFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Chave NFe' + @V_NRACESSONFE_OLD;
         END;

         IF @V_CDEMPLOTENFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'EmpLote' + @V_CDEMPLOTENFE_OLD;
         END;

         IF @V_NRPROTOCOLONFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'NrProtoc' + @V_NRPROTOCOLONFE_OLD;
         END;

         IF @V_IDIMPRESSODANFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'ImpreDanf' + @V_IDIMPRESSODANFE_OLD;
         END;

         IF @V_IDTIPOEMISNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'TpEmiss' + @V_IDTIPOEMISNFE_OLD;
         END;

         IF @V_IDEMAILNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'EmailNfe' + @V_IDEMAILNFE_OLD;
         END;

         IF @V_NRNOTAFISCALELE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'NrNotaEle' + @V_NRNOTAFISCALELE_OLD;
         END;

         IF @V_IDEMAILNFETRANSP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'EmailTransp' + @V_IDEMAILNFETRANSP_OLD;
         END;

         IF @V_IDTPAMBNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'AmbNfe' + @V_IDTPAMBNFE_OLD;
         END;

         IF @V_DTHRPROTOCOLNFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'DtHrProtoc' + CONVERT(VARCHAR, @V_DTHRPROTOCOLNFE_OLD);
         END;

         IF @V_NRSEQCAPADOC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CapaDoc(RE)=' + @V_NRSEQCAPADOC_OLD;
         END;

         SET @V_TPMOVI       = '3';
         SET @V_ITPESQ       = @V_CDFILIAL_OLD+@V_NRLANCTONF_OLD;
         SET @V_CDFILLOGOPER = @V_CDFILIAL_OLD;
      END
      ELSE BEGIN
         IF @V_TIPO = 'U' BEGIN
            IF (@V_NRINSJURNF_OLD   <> @V_NRINSJURNF_NEW)   OR
               (@V_IDERROS_OLD      <> @V_IDERROS_NEW)      OR
               (@V_IDAVISOS_OLD     <> @V_IDAVISOS_NEW)     OR
               (@V_IDBLOQUEADO_OLD  <> @V_IDBLOQUEADO_NEW)  OR
               (@V_NRNOTAFISC_OLD   <> @V_NRNOTAFISC_NEW)   OR
               (@V_DTEMISSAO_OLD    <> @V_DTEMISSAO_NEW)    OR
               (@V_DTENTRSAID_OLD   <> @V_DTENTRSAID_NEW)   OR
               (@V_VRPRODUTOS_OLD   <> @V_VRPRODUTOS_NEW)   OR
               (@V_VRNOTAFISC_OLD   <> @V_VRNOTAFISC_NEW)   OR
               (@V_IDENTRSAIDOP_OLD <> @V_IDENTRSAIDOP_NEW) OR
               (@V_CDTIPOOPER_OLD   <> @V_CDTIPOOPER_NEW)   OR
               (@V_CDSERIE_OLD      <> @V_CDSERIE_NEW)      OR
               (@V_CDFISOPENTF_OLD  <> @V_CDFISOPENTF_NEW)  OR
               (@V_IDSTATUS_OLD     <> @V_IDSTATUS_NEW)     OR
               (@V_NRLANCTBDOC_OLD  <> @V_NRLANCTBDOC_NEW)  OR
               (@V_IDSISTEMA_OLD    <> @V_IDSISTEMA_NEW)    OR
               (@V_CDMODDOCFISC_OLD <> @V_CDMODDOCFISC_NEW) OR
               (@V_CDSERIEENTR_OLD  <> @V_CDSERIEENTR_NEW)  OR
               (@V_CDINTEGRACAO_OLD <> @V_CDINTEGRACAO_NEW) OR
               (@V_IDORIGDESTNF_OLD <> @V_IDORIGDESTNF_NEW) OR
               (@V_IDDOCREPLIC_OLD  <> @V_IDDOCREPLIC_NEW)  OR
               (@V_CDFILIEMIT_OLD   <> @V_CDFILIEMIT_NEW)   OR
               (@V_CDFILIRECE_OLD   <> @V_CDFILIRECE_NEW)   OR
               (@V_CDALMOXARIFE_OLD <> @V_CDALMOXARIFE_NEW) OR
               (@V_CDLOCALESTOQ_OLD <> @V_CDLOCALESTOQ_NEW) OR
               (@V_CDVENDEDOR_OLD   <> @V_CDVENDEDOR_NEW)   OR
               (@V_NREXPEDICAO_OLD  <> @V_NREXPEDICAO_NEW)  OR
               (@V_NRLOTENFE_OLD    <> @V_NRLOTENFE_NEW)    OR
               (@V_IDSTATUSNFE_OLD  <> @V_IDSTATUSNFE_NEW)  OR
               (@V_NRACESSONFE_OLD  <> @V_NRACESSONFE_NEW)  OR
               (@V_CDEMPLOTENFE_OLD <> @V_CDEMPLOTENFE_NEW) OR
               (@V_NRPROTOCOLONFE_OLD   <> @V_NRPROTOCOLONFE_NEW)   OR
               (@V_IDIMPRESSODANFE_OLD  <> @V_IDIMPRESSODANFE_NEW)  OR
               (@V_IDTIPOEMISNFE_OLD    <> @V_IDTIPOEMISNFE_NEW)    OR
               (@V_IDEMAILNFE_OLD       <> @V_IDEMAILNFE_NEW)       OR
               (@V_NRNOTAFISCALELE_OLD  <> @V_NRNOTAFISCALELE_NEW)  OR
               (@V_IDEMAILNFETRANSP_OLD <> @V_IDEMAILNFETRANSP_NEW) OR
               (@V_IDTPAMBNFE_OLD       <> @V_IDTPAMBNFE_NEW)       OR
               (@V_NRSEQCAPADOC_OLD     <> @V_NRSEQCAPADOC_NEW)     OR
               (@V_DTHRPROTOCOLNFE_OLD  <> @V_DTHRPROTOCOLNFE_NEW)  BEGIN

               SET @V_TPMOVI       = '2';
               SET @V_ITPESQ       = @V_CDFILIAL_OLD+@V_NRLANCTONF_OLD;
               SET @V_CDFILLOGOPER = @V_CDFILIAL_OLD;
            END;
         END
         ELSE BEGIN
            SET @V_TPMOVI        = '1';
            SET @V_ITPESQ        = @V_CDFILIAL_NEW+@V_NRLANCTONF_NEW;
            SET @V_CDFILLOGOPER  = @V_CDFILIAL_NEW;
         END;

         IF ISNULL(@V_NRINSJURNF_NEW, '!') <> ISNULL(@V_NRINSJURNF_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'InsJurNF=' + @V_NRINSJURNF_NEW;
         END;

         IF ISNULL(@V_IDERROS_NEW, '!') <> ISNULL(@V_IDERROS_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Erros=' + @V_IDERROS_NEW;
         END;

         IF ISNULL(@V_IDAVISOS_NEW, '!') <> ISNULL(@V_IDAVISOS_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Avisos=' + @V_IDAVISOS_NEW;
         END;

         IF ISNULL(@V_IDBLOQUEADO_NEW, '!') <> ISNULL(@V_IDBLOQUEADO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Bloq=' + @V_IDBLOQUEADO_NEW;
         END;

         IF ISNULL(@V_NRNOTAFISC_NEW, '!') <> ISNULL(@V_NRNOTAFISC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' NrNF=' + @V_NRNOTAFISC_NEW;
         END;

         IF (@V_DTEMISSAO_NEW IS NOT NULL) AND (@V_DTEMISSAO_NEW <> @V_DTEMISSAO_OLD) BEGIN
            SET @V_DESC = @V_DESC + ' DtEmis=' + CONVERT(VARCHAR,@V_DTEMISSAO_NEW);
         END;

         IF (@V_DTENTRSAID_NEW IS NOT NULL) AND (@V_DTENTRSAID_NEW <> @V_DTENTRSAID_OLD) BEGIN
            SET @V_DESC = @V_DESC + ' DtEntSai=' + CONVERT(VARCHAR,@V_DTENTRSAID_NEW);
         END;

         IF (@V_VRPRODUTOS_NEW IS NOT NULL) AND (@V_VRPRODUTOS_NEW <> @V_VRPRODUTOS_OLD) BEGIN
            SET @V_DESC = @V_DESC + ' VrProd=' + CONVERT(VARCHAR,@V_VRPRODUTOS_NEW);
         END;

         IF (@V_VRNOTAFISC_NEW IS NOT NULL) AND (@V_VRNOTAFISC_NEW <> @V_VRNOTAFISC_OLD) BEGIN
            SET @V_DESC = @V_DESC + ' VrNF=' + CONVERT(VARCHAR,@V_VRNOTAFISC_NEW);
         END;

         IF ISNULL(@V_IDENTRSAIDOP_NEW, '!') <> ISNULL(@V_IDENTRSAIDOP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' IdEntSai=' + @V_IDENTRSAIDOP_NEW;
         END;

         IF ISNULL(@V_CDTIPOOPER_NEW, '!') <> ISNULL(@V_IDENTRSAIDOP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' TipoOper=' + @V_CDTIPOOPER_NEW;
         END;

         IF ISNULL(@V_CDSERIE_NEW, '!') <> ISNULL(@V_CDSERIE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' SerieSai=' + @V_CDSERIE_NEW;
         END;

         IF ISNULL(@V_CDFISOPENTF_NEW, '!') <> ISNULL(@V_CDFISOPENTF_OLD, '!')  BEGIN
            SET @V_DESC = @V_DESC + ' CFOp=' + @V_CDFISOPENTF_NEW;
         END;

         IF ISNULL(@V_IDSTATUS_NEW, '!') <> ISNULL(@V_IDSTATUS_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Status=' + @V_IDSTATUS_NEW;
         END;

         IF ISNULL(@V_NRLANCTBDOC_NEW, '!') <> ISNULL(@V_NRLANCTBDOC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' LanCTB=' + @V_NRLANCTBDOC_NEW;
         END;

         IF ISNULL(@V_IDSISTEMA_NEW, '!') <> ISNULL(@V_IDSISTEMA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Sist=' + @V_IDSISTEMA_NEW;
         END;

         IF ISNULL(@V_CDMODDOCFISC_NEW, '!') <> ISNULL(@V_CDMODDOCFISC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ModFisc=' + @V_CDMODDOCFISC_NEW;
         END;

         IF ISNULL(@V_CDSERIEENTR_NEW, '!') <> ISNULL(@V_CDSERIEENTR_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' SerieEnt=' + @V_CDSERIEENTR_NEW;
         END;

         IF ISNULL(@V_CDINTEGRACAO_NEW, '!') <> ISNULL(@V_CDINTEGRACAO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Integr=' + @V_CDINTEGRACAO_NEW;
         END;

         IF ISNULL(@V_IDORIGDESTNF_NEW, '!') <> ISNULL(@V_IDORIGDESTNF_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' OrigDest=' + @V_IDORIGDESTNF_NEW;
         END;

         IF ISNULL(@V_IDDOCREPLIC_NEW, '!') <> ISNULL(@V_IDDOCREPLIC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' DocReplic=' + @V_IDDOCREPLIC_NEW;
         END;

         IF ISNULL(@V_CDFILIEMIT_NEW, '!') <> ISNULL(@V_CDFILIEMIT_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' FiliEmit=' + @V_CDFILIEMIT_NEW;
         END;

         IF ISNULL(@V_CDFILIRECE_NEW, '!') <> ISNULL(@V_CDFILIRECE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' FiliRece=' + @V_CDFILIRECE_NEW;
         END;

         IF ISNULL(@V_CDALMOXARIFE_NEW, '!') <> ISNULL(@V_CDALMOXARIFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Almox=' + @V_CDALMOXARIFE_NEW;
         END;

         IF ISNULL(@V_CDLOCALESTOQ_NEW, '!') <> ISNULL(@V_CDLOCALESTOQ_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' LcEstoq=' + @V_CDLOCALESTOQ_NEW;
         END;

         IF ISNULL(@V_CDVENDEDOR_NEW, '!') <> ISNULL(@V_CDVENDEDOR_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Vendedor=' + @V_CDVENDEDOR_NEW;
         END;

         IF ISNULL(@V_NREXPEDICAO_NEW, '!') <> ISNULL(@V_NREXPEDICAO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Exped=' + @V_NREXPEDICAO_NEW;
         END;

         IF ISNULL(@V_NRLOTENFE_NEW, '!') <> ISNULL(@V_NRLOTENFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' NrLote=' + @V_NRLOTENFE_NEW;
         END;

         IF ISNULL(@V_IDSTATUSNFE_NEW, '!') <> ISNULL(@V_IDSTATUSNFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Status=' + @V_IDSTATUSNFE_NEW;
         END;

         IF ISNULL(@V_NRACESSONFE_NEW, '!') <> ISNULL(@V_NRACESSONFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Chave NFe=' + @V_NRACESSONFE_NEW;
         END;

         IF ISNULL(@V_CDEMPLOTENFE_NEW, '!') <> ISNULL(@V_CDEMPLOTENFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' EmpLote=' + @V_CDEMPLOTENFE_NEW;
         END;

         IF ISNULL(@V_NRPROTOCOLONFE_NEW, '!') <> ISNULL(@V_NRPROTOCOLONFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' NrProtoc=' + @V_NRPROTOCOLONFE_NEW;
         END;

         IF ISNULL(@V_IDIMPRESSODANFE_NEW, '!') <> ISNULL(@V_IDIMPRESSODANFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' ImpreDanf=' + @V_IDIMPRESSODANFE_NEW;
         END;

         IF ISNULL(@V_IDTIPOEMISNFE_NEW, '!') <> ISNULL(@V_IDTIPOEMISNFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' TpEmiss=' + @V_IDTIPOEMISNFE_NEW;
         END;

         IF ISNULL(@V_IDEMAILNFE_NEW, '!') <> ISNULL(@V_IDEMAILNFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' EmailNfe=' + @V_IDEMAILNFE_NEW;
         END;

         IF ISNULL(@V_NRNOTAFISCALELE_NEW, '!') <> ISNULL(@V_NRNOTAFISCALELE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' NrNotaEle=' + @V_NRNOTAFISCALELE_NEW;
         END;

         IF ISNULL(@V_IDEMAILNFETRANSP_NEW, '!') <> ISNULL(@V_IDEMAILNFETRANSP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' EmailTransp=' + @V_IDEMAILNFETRANSP_NEW;
         END;

         IF ISNULL(@V_IDTPAMBNFE_NEW, '!') <> ISNULL(@V_IDTPAMBNFE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' AmbNfe=' + @V_IDTPAMBNFE_NEW;
         END;

         IF (@V_DTHRPROTOCOLNFE_NEW IS NOT NULL) AND (@V_DTHRPROTOCOLNFE_NEW <> @V_DTHRPROTOCOLNFE_OLD) BEGIN
            SET @V_DESC = @V_DESC + ' DtHrProtoc=' + CONVERT(VARCHAR, @V_DTHRPROTOCOLNFE_NEW);
         END;

         IF ISNULL(@V_NRSEQCAPADOC_NEW, '!') <> ISNULL(@V_NRSEQCAPADOC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' CapaDoc(RE)=' + @V_NRSEQCAPADOC_NEW;
         END;
      END;

      IF @V_TPMOVI <> '0' BEGIN
         EXEC NMUSUARIO  @V_USUARIO;
         EXEC WEBTUNNING @V_DSREMOTEADDR,
                         @V_DSREMOTEHOST,
                         @V_DSSERVERRDM,
                         @V_DSSERVMETHOD,
                         @V_DSREMOTEOPER;
         IF NOT @V_DESC IS NULL BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();

               INSERT INTO LOGOPERA
                  (NMTABELA,
                   DTOPERACAO,
                   NMRESPOPER,
                   IDTIPOOPER,
                   CDPESQITEM,
                   DSOPERACAO,
                   CDFILLOGOPER,
                   DSRDMUSUOPER,
                   DSENDUSUOPER,
                   DSNMUSUOPER,
                   DSMETUSUOPER,
                   CDORESPOPER)
               VALUES
                  ('NOTAFISCAL',
                   @V_DTOPER,
                   @V_USUARIO,
                   @V_TPMOVI,
                   @V_ITPESQ,
                   SUBSTRING(@V_DESC,1,300),
                   @V_CDFILLOGOPER,
                   @V_DSSERVERRDM,
                   @V_DSREMOTEADDR,
                   @V_DSREMOTEHOST,
                   @V_DSSERVMETHOD,
                   @V_DSREMOTEOPER);
            END;
         END;
      END;
      FETCH NEXT FROM C_CURSOR_NF   INTO @V_TIPO, @V_CDFILIAL_NEW, @V_NRLANCTONF_NEW, @V_NRINSJURNF_NEW,
                                      @V_IDERROS_NEW, @V_IDAVISOS_NEW, @V_IDBLOQUEADO_NEW, @V_NRNOTAFISC_NEW,
                                      @V_DTEMISSAO_NEW, @V_DTENTRSAID_NEW, @V_VRPRODUTOS_NEW, @V_VRNOTAFISC_NEW,
                                      @V_IDENTRSAIDOP_NEW,@V_CDTIPOOPER_NEW, @V_CDSERIE_NEW, @V_CDFISOPENTF_NEW,
                                      @V_IDSTATUS_NEW, @V_NRLANCTBDOC_NEW, @V_IDSISTEMA_NEW, @V_CDMODDOCFISC_NEW,
                                      @V_CDSERIEENTR_NEW, @V_CDINTEGRACAO_NEW, @V_IDORIGDESTNF_NEW, @V_IDDOCREPLIC_NEW,
                                      @V_CDFILIEMIT_NEW, @V_CDFILIRECE_NEW, @V_CDALMOXARIFE_NEW, @V_CDLOCALESTOQ_NEW,
                                      @V_CDVENDEDOR_NEW, @V_NREXPEDICAO_NEW, @V_NRLOTENFE_NEW, @V_IDSTATUSNFE_NEW,
                                      @V_NRACESSONFE_NEW, @V_CDEMPLOTENFE_NEW, @V_NRPROTOCOLONFE_NEW, @V_IDIMPRESSODANFE_NEW,
                                      @V_IDTIPOEMISNFE_NEW, @V_IDEMAILNFE_NEW, @V_NRNOTAFISCALELE_NEW, @V_IDEMAILNFETRANSP_NEW,
                                      @V_IDTPAMBNFE_NEW, @V_DTHRPROTOCOLNFE_NEW, @V_NRSEQCAPADOC_NEW,
                                      @V_CDFILIAL_OLD, @V_NRLANCTONF_OLD, @V_NRINSJURNF_OLD,@V_IDERROS_OLD,@V_IDAVISOS_OLD,
                                      @V_IDBLOQUEADO_OLD, @V_NRNOTAFISC_OLD, @V_DTEMISSAO_OLD,  @V_DTENTRSAID_OLD, @V_VRPRODUTOS_OLD,
                                      @V_VRNOTAFISC_OLD, @V_IDENTRSAIDOP_OLD, @V_CDTIPOOPER_OLD, @V_CDSERIE_OLD, @V_CDFISOPENTF_OLD,
                                      @V_IDSTATUS_OLD, @V_NRLANCTBDOC_OLD, @V_IDSISTEMA_OLD, @V_CDMODDOCFISC_OLD, @V_CDSERIEENTR_OLD,
                                      @V_CDINTEGRACAO_OLD, @V_IDORIGDESTNF_OLD, @V_IDDOCREPLIC_OLD, @V_CDFILIEMIT_OLD,  @V_CDFILIRECE_OLD,
                                      @V_CDALMOXARIFE_OLD, @V_CDLOCALESTOQ_OLD, @V_CDVENDEDOR_OLD, @V_NREXPEDICAO_OLD, @V_NRLOTENFE_OLD,
                                      @V_IDSTATUSNFE_OLD, @V_NRACESSONFE_OLD, @V_CDEMPLOTENFE_OLD, @V_NRPROTOCOLONFE_OLD, @V_IDIMPRESSODANFE_OLD,
                                      @V_IDTIPOEMISNFE_OLD, @V_IDEMAILNFE_OLD, @V_NRNOTAFISCALELE_OLD, @V_IDEMAILNFETRANSP_OLD, @V_IDTPAMBNFE_OLD,
                                      @V_DTHRPROTOCOLNFE_OLD, @V_NRSEQCAPADOC_OLD;

   END;
   CLOSE C_CURSOR_NF;
   DEALLOCATE C_CURSOR_NF;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'LOG_FIS_NOTAFISCAL','5.80.XXX';
GO

